- Development Integration
- /
- SDK
- /
- Python
- /
Authentication Module
- /
MFA Factor Management
- /
- Get Specific Enrolled MFA Factor
¶ Get a bound MFA authentication factor
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get the details of a user-bound MFA Factor based on Factor ID.
¶ Method name
AuthenticationClient.get_factor
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| factorId | string | Yes | - | MFA Factor ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Request response
Type: GetFactorRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | FactorDto | MFA Factor details |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"factorId": "6229ffaxxxxxxxxcade3e3d9",
"factorType": "SMS",
"profile": {
"phoneNumber": "188xxxx8888",
"phoneCountryCode": "+86"
}
}
}
¶ Data structure
¶ FactorDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| factorId | string | yes | MFA authentication factor ID | 6229ffaxxxxxxxxcade3e3d9 |
| factorType | string | yes | MFA authentication factor type | OTP |
| profile | object | yes | MFA authentication factor information | {"phoneNumber":"188xxxx8888","phoneCountryCode":"+86"} |
